scala.collection.parallel.mutable

# ParArray

#### object ParArray extends ParFactory[ParArray] with Serializable

This object provides a set of operations to create ``mutable.ParArray`` values.

Source
  ParArray.scala

Linear Supertypes
Serializable, java.io.Serializable, ParFactory[ParArray], GenericParCompanion[ParArray], GenTraversableFactory[ParArray], GenericCompanion[ParArray], AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ParArray
2. Serializable
3. Serializable
4. ParFactory
5. GenericParCompanion
6. GenTraversableFactory
7. GenericCompanion
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = ParArray[_]

   The underlying collection type with unknown element type

   The underlying collection type with unknown element type

   Definition Classes
     GenericCompanion

2. #### class GenericCanBuildFrom[A] extends CanBuildFrom[CC[_], A, CC[A]]

   A generic implementation of the `CanBuildFrom` trait, which forwards all calls to `apply(from)` to the `genericBuilder` method of collection `from`, and which forwards all calls of `apply()` to the `newBuilder` method of this factory.

3. #### class GenericCanCombineFrom[A] extends GenericCanBuildFrom[A] with CanCombineFrom[CC[_], A, CC[A]]

   A generic implementation of the `CanCombineFrom` trait, which forwards all calls to `apply(from)` to the `genericParBuilder` method of the parallel collection `from`, and calls to `apply()` to this factory.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### lazy val ReusableCBF: GenericCanBuildFrom[Nothing]

   Definition Classes
     GenTraversableFactory

7. #### def apply[A](elems: A*): ParArray[A]

   Creates a parallel array with the specified elements.

   Creates a parallel array with the specified elements.

   A

     the type of the parallel array's elements

   elems

     the elements of the created parallel array

   returns

     a new parallel array with elements `elems`

   Definition Classes
     GenericCompanion

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### implicit def canBuildFrom[T]: CanCombineFrom[Coll, T, ParArray[T]]

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

11. #### def concat[A](xss: Traversable[A]*): ParArray[A]

    Concatenates all argument collections into a single parallel array.

    Concatenates all argument collections into a single parallel array.

    xss

      the collections that are to be concatenated.

    returns

      the concatenation of all the collections.

    Definition Classes
      GenTraversableFactory

12. #### def createFromCopy[T <: AnyRef](arr: Array[T])(implicit arg0: ClassTag[T]): ParArray[T]

13. #### def empty[A]: ParArray[A]

    An empty collection of type ``mutable.ParArray`[A]`

    An empty collection of type ``mutable.ParArray`[A]`

    A

      the type of the parallel array's elements

    Definition Classes
      GenericCompanion

14. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

16. #### def fill[A](n1: Int, n2: Int, n3: Int, n4: Int, n5: Int)(elem: ⇒ A): ParArray[ParArray[ParArray[ParArray[ParArray[A]]]]]

    Produces a five-dimensional parallel array containing the results of some element computation a number of times.

    Produces a five-dimensional parallel array containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    n5

      the number of elements in the 5th dimension

    elem

      the element computation

    returns

      A parallel array that contains the results of `n1 x n2 x n3 x n4 x n5` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

17. #### def fill[A](n1: Int, n2: Int, n3: Int, n4: Int)(elem: ⇒ A): ParArray[ParArray[ParArray[ParArray[A]]]]

    Produces a four-dimensional parallel array containing the results of some element computation a number of times.

    Produces a four-dimensional parallel array containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    elem

      the element computation

    returns

      A parallel array that contains the results of `n1 x n2 x n3 x n4` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

18. #### def fill[A](n1: Int, n2: Int, n3: Int)(elem: ⇒ A): ParArray[ParArray[ParArray[A]]]

    Produces a three-dimensional parallel array containing the results of some element computation a number of times.

    Produces a three-dimensional parallel array containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    elem

      the element computation

    returns

      A parallel array that contains the results of `n1 x n2 x n3` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

19. #### def fill[A](n1: Int, n2: Int)(elem: ⇒ A): ParArray[ParArray[A]]

    Produces a two-dimensional parallel array containing the results of some element computation a number of times.

    Produces a two-dimensional parallel array containing the results of some element computation a number of times.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    elem

      the element computation

    returns

      A parallel array that contains the results of `n1 x n2` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

20. #### def fill[A](n: Int)(elem: ⇒ A): ParArray[A]

    Produces a parallel array containing the results of some element computation a number of times.

    Produces a parallel array containing the results of some element computation a number of times.

    n

      the number of elements contained in the parallel array.

    elem

      the element computation

    returns

      A parallel array that contains the results of `n` evaluations of `elem`.

    Definition Classes
      GenTraversableFactory

21. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

22. #### def fromTraversables[T](xss: GenTraversableOnce[T]*): ParArray[T]

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def handoff[T](arr: Array[T], sz: Int): ParArray[T]

    Creates a new parallel array by wrapping a part of the specified array.

25. #### def handoff[T](arr: Array[T]): ParArray[T]

    Creates a new parallel array by wrapping the specified array.

26. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

28. #### def iterate[A](start: A, len: Int)(f: (A) ⇒ A): ParArray[A]

    Produces a parallel array containing repeated applications of a function to a start value.

    Produces a parallel array containing repeated applications of a function to a start value.

    start

      the start value of the parallel array

    len

      the number of elements contained inthe parallel array

    f

      the function that's repeatedly applied

    returns

      a parallel array with `len` values in the sequence `start, f(start), f(f(start)), ...`

    Definition Classes
      GenTraversableFactory

29. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

30. #### def newBuilder[T]: Combiner[T, ParArray[T]]

    The default builder for `mutable.ParArray` objects.

    The default builder for `mutable.ParArray` objects.

    Definition Classes
      ParArray → GenericParCompanion → GenericCompanion

31. #### def newCombiner[T]: Combiner[T, ParArray[T]]

    The parallel builder for `mutable.ParArray` objects.

    The parallel builder for `mutable.ParArray` objects.

    Definition Classes
      ParArray → GenericParCompanion

32. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

33. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

34. #### def range[T](start: T, end: T, step: T)(implicit arg0: Integral[T]): ParArray[T]

    Produces a parallel array containing equally spaced values in some integer interval.

    Produces a parallel array containing equally spaced values in some integer interval.

    start

      the start value of the parallel array

    end

      the end value of the parallel array (the first value NOT contained)

    step

      the difference between successive elements of the parallel array (must be positive or negative)

    returns

      a parallel array with values `start, start + step, ...` up to, but excluding `end`

    Definition Classes
      GenTraversableFactory

35. #### def range[T](start: T, end: T)(implicit arg0: Integral[T]): ParArray[T]

    Produces a parallel array containing a sequence of increasing of integers.

    Produces a parallel array containing a sequence of increasing of integers.

    start

      the first element of the parallel array

    end

      the end value of the parallel array (the first value NOT contained)

    returns

      a parallel array with values `start, start + 1, ..., end - 1`

    Definition Classes
      GenTraversableFactory

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def tabulate[A](n1: Int, n2: Int, n3: Int, n4: Int, n5: Int)(f: (Int, Int, Int, Int, Int) ⇒ A): ParArray[ParArray[ParArray[ParArray[ParArray[A]]]]]

    Produces a five-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    Produces a five-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    n5

      the number of elements in the 5th dimension

    f

      The function computing element values

    returns

      A parallel array consisting of elements `f(i1, i2, i3, i4, i5)` for `0 <= i1 < n1`, `0 <= i2 < n2`, `0 <= i3 < n3`, `0 <= i4 < n4`, and `0 <= i5 < n5`.

    Definition Classes
      GenTraversableFactory

38. #### def tabulate[A](n1: Int, n2: Int, n3: Int, n4: Int)(f: (Int, Int, Int, Int) ⇒ A): ParArray[ParArray[ParArray[ParArray[A]]]]

    Produces a four-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    Produces a four-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    n4

      the number of elements in the 4th dimension

    f

      The function computing element values

    returns

      A parallel array consisting of elements `f(i1, i2, i3, i4)` for `0 <= i1 < n1`, `0 <= i2 < n2`, `0 <= i3 < n3`, and `0 <= i4 < n4`.

    Definition Classes
      GenTraversableFactory

39. #### def tabulate[A](n1: Int, n2: Int, n3: Int)(f: (Int, Int, Int) ⇒ A): ParArray[ParArray[ParArray[A]]]

    Produces a three-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    Produces a three-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    n3

      the number of elements in the 3nd dimension

    f

      The function computing element values

    returns

      A parallel array consisting of elements `f(i1, i2, i3)` for `0 <= i1 < n1`, `0 <= i2 < n2`, and `0 <= i3 < n3`.

    Definition Classes
      GenTraversableFactory

40. #### def tabulate[A](n1: Int, n2: Int)(f: (Int, Int) ⇒ A): ParArray[ParArray[A]]

    Produces a two-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    Produces a two-dimensional parallel array containing values of a given function over ranges of integer values starting from 0.

    n1

      the number of elements in the 1st dimension

    n2

      the number of elements in the 2nd dimension

    f

      The function computing element values

    returns

      A parallel array consisting of elements `f(i1, i2)` for `0 <= i1 < n1` and `0 <= i2 < n2`.

    Definition Classes
      GenTraversableFactory

41. #### def tabulate[A](n: Int)(f: (Int) ⇒ A): ParArray[A]

    Produces a parallel array containing values of a given function over a range of integer values starting from 0.

    Produces a parallel array containing values of a given function over a range of integer values starting from 0.

    n

      The number of elements in the parallel array

    f

      The function computing element values

    returns

      A parallel array consisting of elements `f(0), ..., f(n -1)`

    Definition Classes
      GenTraversableFactory

42. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from ParFactory[ParArray]

### Inherited from GenericParCompanion[ParArray]

### Inherited from GenTraversableFactory[ParArray]

### Inherited from GenericCompanion[ParArray]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped